previous next contents | bottom

# Xdialog documentation - Special options

These options are "special" because they just make Xdialog to print a string on stderr and exit immediately without displaying any widget (they should therefore not be used together with any other option).

## Available special options:

     --version
     --print-version
     --print-maxsize

- --version
- --print-version

  These options make Xdialog to print its version number to stderr and exit. This is useful to check from a script if the installed version of Xdialog is able to use some of the latest widgets that have been implemented since Xdialog exists... The difference between --version and --print-version is that the later prefixes the version number with "Version: " (in a cdialog compatible way).

  Examples:

      $ Xdialog --version
      1.5.1
      $ Xdialog --print-version
      Version: 1.5.1
      $ _

  See also the (c)dialog compatibility notes.

- --print-maxsize

  This option (cdialog compatible) makes Xdialog to print the maximum possible size usable for the Xdialog widgets so that they fit the screen. The size is given in characters in the following form: MaxSize: <height>, <width>

  Example:

      $ Xdialog --print-maxsize
      MaxSize: 62, 144
      $ _

previous next contents | top